com.holonplatform.vaadin.components

## Interface Components.view

- Enclosing interface:
    Components

      public static interface Components.view

  `ViewComponent` and `PropertyViewGroup` builders provider.

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> ViewComponentBuilder<T>` | `component(Class<? extends T> valueType)` Gets a builder to create a `ViewComponent` instance.
    `static PropertyViewForm.PropertyViewFormBuilder<com.vaadin.ui.FormLayout>` | `form()` Gets a builder to create a `PropertyViewForm` using a `FormLayout` as layout component and a default `ComposableComponent.componentContainerComposer()` to compose the view components on layout.
    `static <C extends com.vaadin.ui.Component> PropertyViewForm.PropertyViewFormBuilder<C>` | `form(C content)` Gets a builder to create a `PropertyViewForm`.
    `static PropertyViewForm.PropertyViewFormBuilder<com.vaadin.ui.GridLayout>` | `formGrid()` Gets a builder to create a `PropertyViewForm` using a `VerticalLayout` as layout component and a default `ComposableComponent.componentContainerComposer()` to compose the view components on layout.
    `static PropertyViewForm.PropertyViewFormBuilder<com.vaadin.ui.HorizontalLayout>` | `formHorizontal()` Gets a builder to create a `PropertyViewForm` using a `HorizontalLayout` as layout component and a default `ComposableComponent.componentContainerComposer()` to compose the view components on layout.
    `static PropertyViewForm.PropertyViewFormBuilder<com.vaadin.ui.VerticalLayout>` | `formVertical()` Gets a builder to create a `PropertyViewForm` using a `VerticalLayout` as layout component and a default `ComposableComponent.componentContainerComposer()` to compose the view components on layout.
    `static PropertyViewGroup.PropertyViewGroupBuilder` | `propertyGroup()` Get a builder to create and setup a `PropertyViewGroup`.

- - ### Method Detail

    - #### component

          static <T> ViewComponentBuilder<T> component(Class<? extends T> valueType)

      Gets a builder to create a `ViewComponent` instance.
      Type Parameters:
        `T` - Value type
      Parameters:
        `valueType` - the value type handled by the `ViewComponent`
      Returns:
        `ViewComponent` builder

    - #### propertyGroup

          static PropertyViewGroup.PropertyViewGroupBuilder propertyGroup()

      Get a builder to create and setup a `PropertyViewGroup`.
      Returns:
        `PropertyViewGroup` builder

    - #### form

          static <C extends com.vaadin.ui.Component> PropertyViewForm.PropertyViewFormBuilder<C> form(C content)

      Gets a builder to create a `PropertyViewForm`.
      Type Parameters:
        `C` - Content type
      Parameters:
        `content` - Form content, where view components will be composed by the form `ComposableComponent.Composer` (not null)
      Returns:
        `PropertyViewForm` builder

    - #### form

          static PropertyViewForm.PropertyViewFormBuilder<com.vaadin.ui.FormLayout> form()

      Gets a builder to create a `PropertyViewForm` using a `FormLayout` as layout component and a default `ComposableComponent.componentContainerComposer()` to compose the view components on layout.
      Returns:
        `PropertyViewForm` builder

    - #### formVertical

          static PropertyViewForm.PropertyViewFormBuilder<com.vaadin.ui.VerticalLayout> formVertical()

      Gets a builder to create a `PropertyViewForm` using a `VerticalLayout` as layout component and a default `ComposableComponent.componentContainerComposer()` to compose the view components on layout.
      Returns:
        `PropertyViewForm` builder

    - #### formHorizontal

          static PropertyViewForm.PropertyViewFormBuilder<com.vaadin.ui.HorizontalLayout> formHorizontal()

      Gets a builder to create a `PropertyViewForm` using a `HorizontalLayout` as layout component and a default `ComposableComponent.componentContainerComposer()` to compose the view components on layout.
      Returns:
        `PropertyViewForm` builder

    - #### formGrid

          static PropertyViewForm.PropertyViewFormBuilder<com.vaadin.ui.GridLayout> formGrid()

      Gets a builder to create a `PropertyViewForm` using a `VerticalLayout` as layout component and a default `ComposableComponent.componentContainerComposer()` to compose the view components on layout.
      Returns:
        `PropertyViewForm` builder

Copyright © 2017 The Holon Platform. All rights reserved.